Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class Operator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.Operator

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Operator

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static Operator` | `EQ` Deprecated See BEA Commerce product offering
`static Operator` | `GE` Deprecated See BEA Commerce product offering
`static Operator` | `GT` Deprecated See BEA Commerce product offering
`static int` | `I_EQ` Deprecated See BEA Commerce product offering
`static int` | `I_GE` Deprecated See BEA Commerce product offering
`static int` | `I_GT` Deprecated See BEA Commerce product offering
`static int` | `I_LE` Deprecated See BEA Commerce product offering
`static int` | `I_LT` Deprecated See BEA Commerce product offering
`static Operator` | `LE` Deprecated See BEA Commerce product offering
`static Operator` | `LT` Deprecated See BEA Commerce product offering
`static String` | `S_EQ` Deprecated See BEA Commerce product offering
`static String` | `S_GE` Deprecated See BEA Commerce product offering
`static String` | `S_GT` Deprecated See BEA Commerce product offering
`static String` | `S_LE` Deprecated See BEA Commerce product offering
`static String` | `S_LT` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `equals(Object object)` Deprecated See BEA Commerce product offering
`int` | `getInt()` Deprecated See BEA Commerce product offering
`static Operator` | `getObject(String token)` Deprecated See BEA Commerce product offering
`String` | `getString()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_EQ

    public static final int I_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_GT

    public static final int I_GT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_GE

    public static final int I_GE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_LT

    public static final int I_LT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_LE

    public static final int I_LE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### EQ

    public static final Operator EQ

  Deprecated See BEA Commerce product offering

### GT

    public static final Operator GT

  Deprecated See BEA Commerce product offering

### GE

    public static final Operator GE

  Deprecated See BEA Commerce product offering

### LT

    public static final Operator LT

  Deprecated See BEA Commerce product offering

### LE

    public static final Operator LE

  Deprecated See BEA Commerce product offering

### S_EQ

    public static final String S_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### S_GT

    public static final String S_GT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### S_GE

    public static final String S_GE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### S_LT

    public static final String S_LT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### S_LE

    public static final String S_LE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated See BEA Commerce product offering

### getInt

    public int getInt()

  Deprecated See BEA Commerce product offering

### getObject

    public static Operator getObject(String token)

  Deprecated See BEA Commerce product offering

### equals

    public boolean equals(Object object)

  Deprecated See BEA Commerce product offering

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved